| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
TU_instance_PEx_t Struct Reference

This structure contains Timer Unit LLD function pointers. More...

`#include <isf_fsl_TU_PEx.h>`

Collaboration diagram for TU_instance_PEx_t:

## Data Fields
fnTUInit_t | fnTULDDInit
fnTUDeinit_t | fnTULDDDeint
fnTUEnable_t | fnTULDDEnable
fnTUDisable_t | fnTULDDDisable
fnTUSetPeriodTicks_t | fnTULDDSetPeriod
fnTUGetPeriodTicks_t | fnTULDDGetPeriod
fnTUResetCounter_t | fnTULDDResetCounter
fnTUGetCounterValue_t | fnTULDDGetCounter

## Detailed Description

This structure contains Timer Unit LLD function pointers.

Definition at line 55 of file isf_fsl_TU_PEx.h.

## Field Documentation

fnTUDeinit_t fnTULDDDeint

De-initialize a Timer Unit LDD component.

Definition at line 57 of file isf_fsl_TU_PEx.h.

fnTUDisable_t fnTULDDDisable

Disable a Timer Unit LDD component.

Definition at line 59 of file isf_fsl_TU_PEx.h.

Referenced by pit_hal_timer_stop().

fnTUEnable_t fnTULDDEnable

Enable a Timer Unit LDD component.

Definition at line 58 of file isf_fsl_TU_PEx.h.

Referenced by pit_hal_timer_start().

fnTUGetCounterValue_t fnTULDDGetCounter

Get the current value of the Timer Unit counter.

Definition at line 63 of file isf_fsl_TU_PEx.h.

Referenced by pit_hal_read_timer_count().

fnTUGetPeriodTicks_t fnTULDDGetPeriod

Get the Timer Unit period.

Definition at line 61 of file isf_fsl_TU_PEx.h.

Referenced by pit_hal_read_timer_count(), and pit_hal_read_timer_period_count().

fnTUInit_t fnTULDDInit

Initialize a Timer Unit LDD component.

Definition at line 56 of file isf_fsl_TU_PEx.h.

Referenced by pit_init_channel().

fnTUResetCounter_t fnTULDDResetCounter

Reset the Timer Unit counter.

Definition at line 62 of file isf_fsl_TU_PEx.h.

Referenced by pit_hal_timer_reset().

fnTUSetPeriodTicks_t fnTULDDSetPeriod

Set a Timer Unit period.

Definition at line 60 of file isf_fsl_TU_PEx.h.

Referenced by pit_hal_set_timer_period_count().

The documentation for this struct was generated from the following file:

- ISF/Bus_Manager/Include/isf_fsl_TU_PEx.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.